=== debian/changelog ===
crawl (2:0.9.1-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 05 Sep 2011 13:14:17 +0200
