=== debian/changelog ===
crawl (2:0.9.1-maemo1) unstable; urgency=low

  * Fremantle packaging
  * Work around a g++-4.2 bug 
  * Use keycode '-1010' for enter (N900)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 31 Aug 2011 15:55:30 +0200
