=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
endif

CFOPTIMIZE = -O2
ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CFOPTIMIZE = -O0
endif
ifeq ($(DEB_HOST_ARCH),powerpc)
	# g++-4.4 has an ICE there.
	CFOPTIMIZE = -O0
endif

tree-stamp:
	dh_testdir
	rm -rf build-console
	mkdir -p build-console/source/rltiles
	tar cf - --exclude=contrib --exclude=rltiles docs settings source | tar xf - -C build-console
	cp -p source/rltiles/dc-player.txt build-console/source/rltiles/
	rm -rf build-tiles
	mkdir -p build-tiles
	tar cf - --exclude=contrib docs settings source |tar xf - -C build-tiles
	touch tree-stamp

# The makefile is unorthodox, requiring all options to be specified on every invocation.
ARGS_CONSOLE = prefix=/opt/crawl SAVEDIR='/home/user/.crawl' SHAREDDIR=/opt/crawl CFOPTIMIZE=$(CFOPTIMIZE)

ifneq (,$(findstring arm-linux,$(DEB_BUILD_GNU_TYPE)))
ARGS_TILES   = $(ARGS_CONSOLE) TILES=y GLES=y GAME=crawl-tiles \
	PROPORTIONAL_FONT=/opt/crawl/fonts/truetype/ttf-dejavu/DejaVuSans.ttf \
	MONOSPACED_FONT=/opt/crawl/fonts/truetype/ttf-dejavu/DejaVuSansMono.ttf
else
ARGS_TILES   = $(ARGS_CONSOLE) TILES=y GAME=crawl-tiles \
	PROPORTIONAL_FONT=/opt/crawl/fonts/truetype/ttf-dejavu/DejaVuSans.ttf \
	MONOSPACED_FONT=/opt/crawl/fonts/truetype/ttf-dejavu/DejaVuSansMono.ttf
endif

build: build-stamp
build-stamp: tree-stamp
	dh_testdir

	cd build-console/source && $(MAKE) $(ARGS_CONSOLE)
	cd build-tiles/source && $(MAKE) $(ARGS_TILES)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot

	rm -f build-stamp tree-stamp
	rm -rf build-console build-tiles


	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	cd build-console/source && $(MAKE) $(ARGS_CONSOLE) install DESTDIR=../../debian/crawl-common
	cd debian/crawl-common/opt/crawl && mkdir -p doc/crawl-common && \
		mv data/docs/* doc/crawl-common && \
		mv doc/crawl-common/crawl_manual.txt data/docs
	rm -rf debian/crawl-common/opt/crawl/doc/crawl-common/license
	mkdir -p debian/crawl/opt/crawl
	mv debian/crawl-common/opt/crawl debian/crawl/opt/crawl
	cd build-tiles/source && $(MAKE) $(ARGS_TILES) install DESTDIR=../../debian/crawl-tiles
	#rm -rf debian/crawl-tiles/var
	#cd debian/crawl-tiles/opt/crawl/crawl/ && rm -rf docs settings
	#cd debian/crawl-tiles/opt/crawl/crawl/dat && rm -rf des clua database descript lua
	
	mkdir -p debian/crawl/opt/crawl/man/man6
	cp docs/crawl.6 debian/crawl/opt/crawl/man/man6/
	mkdir -p debian/crawl-tiles/opt/crawl/man/man6
	cp docs/crawl.6 debian/crawl-tiles/opt/crawl/man/man6/crawl-tiles.6
	mkdir -p debian/crawl-common/opt/crawl/lintian/overrides
	cp debian/crawl-common.overrides debian/crawl-common/opt/crawl/lintian/overrides/crawl-common
	mkdir -p debian/crawl-common/opt/crawl/doc/crawl-common/examples
	cp settings/init.txt debian/crawl-common/opt/crawl/doc/crawl-common/examples/crawlrc
	ln -sf /opt/crawl/crawl-common/docs/crawl_manual.txt debian/crawl-common/opt/crawl/doc/crawl-common/

	mkdir -p debian/crawl/opt/crawl/doc
	ln -sf crawl-common debian/crawl/opt/crawl/doc/crawl
	mkdir -p debian/crawl-tiles/opt/crawl/doc
	ln -sf crawl-common debian/crawl-tiles/opt/crawl/doc/crawl-tiles
	dh_install -pcrawl-tiles debian/crawl-tiles.desktop usr/share/applications/hildon
	dh_install -pcrawl-tiles debian/crawl.png usr/share/pixmaps/
	dh_link -pcrawl-tiles opt/crawl/dat/tiles/stone_soup_icon-32x32.png \
		usr/share/pixmaps/crawl.png

# Build architecture-independent files here.
binary-indep:
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs -pcrawl-common
	dh_installchangelogs -pcrawl-common docs/changelog.txt
	dh_installmenu
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	chgrp games debian/crawl/opt/crawl/crawl
	chmod g+s debian/crawl/opt/crawl/crawl
	chgrp games debian/crawl-tiles/opt/crawl/bin/crawl-tiles
	chmod g+s debian/crawl-tiles/opt/crawl/bin/crawl-tiles
	chgrp -R games debian/crawl-common/opt/crawl
	chmod -R g+ws debian/crawl-common/opt/crawl
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
