## crawl 0.9.1-maemo2

=== debian/changelog ===
crawl (2:0.9.1-maemo2) unstable; urgency=low
  
  * Not OPTIFIED
  * Work around a g++-4.2 bug
  * Use keycode '-1010' for enter (N900)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu,  1 Sep 2011 09:27:30 +0200

crawl (2:0.9.0-1~1) unstable; urgency=low

  * New upstream release.
  * Drop debian/NEWS warning about save compatibility -- not only 0.8 saves
    can be loaded in 0.9, but incompatible saves produce user-friendly
    messages as well.
  * Fix handling of {build,binary}-{arch,indep}.
  * Support cross-compiling.

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 12 Aug 2011 18:47:47 +0200
