## crawl 0.9.1-maemo3

=== debian/changelog ===
crawl (2:0.9.1-maemo3) unstable; urgency=low
  
  * Not OPTIFIED
  * Dependencies fixed
  * Newer code from git

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu,  1 Sep 2011 11:43:30 +0200
