## crawl 0.9.1-maemo4

=== debian/changelog ===
crawl (2:0.9.1-maemo4) unstable; urgency=low
  
  * prefix=/opt/crawl
  * build tiles with debug

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu,  1 Sep 2011 13:16:30 +0200
