=== debian/control ===
--- 
+++ 
@@ -39,7 +39,7 @@
 
 Package: crawl-tiles
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, crawl-common (= ${source:Version}), ttf-dejavu
+Depends: ${shlibs:Depends}, ${misc:Depends}, crawl-common (= ${source:Version})
 Description: Dungeon Crawl, a roguelike game, tiles version
  Crawl is a fun game in the grand tradition of games like Rogue, Hack, and
  Moria. Your objective is to travel deep into a subterranean cave complex and
