=== debian/rules ===
--- 
+++ 
@@ -31,8 +31,10 @@
 	CROSS=CROSSHOST=$(DEB_HOST_GNU_TYPE)
 endif
 
+PREFIX=/opt/crawl
+
 # The makefile is unorthodox, requiring all options to be specified on every invocation.
-ARGS_CONSOLE = prefix=/usr CFOPTIMIZE=$(CFOPTIMIZE) WIZARD=y $(CROSS)
+ARGS_CONSOLE = prefix=$(PREFIX) CFOPTIMIZE=$(CFOPTIMIZE) WIZARD=y $(CROSS)
 ifneq (,$(findstring arm-linux,$(DEB_BUILD_GNU_TYPE)))
 ARGS_TILES   = $(ARGS_CONSOLE) TILES=y GLES=y GAME=crawl-tiles \
 	PROPORTIONAL_FONT=/usr/share/fonts/truetype/ttf-dejavu/DejaVuSans.ttf \
@@ -48,7 +50,7 @@
 	dh_testdir
 
 	cd build-console/source && $(MAKE) $(ARGS_CONSOLE)
-	cd build-tiles/source && $(MAKE) $(ARGS_TILES)
+	cd build-tiles/source && $(MAKE) debug $(ARGS_TILES)
 
 	touch build-stamp
 
@@ -73,30 +75,30 @@
 	#cd debian/crawl-common/usr/share && mkdir -p doc/crawl-common && \
 	#	mv crawl/docs/* doc/crawl-common && \
 	#	mv doc/crawl-common/crawl_manual.txt crawl/docs
-	rm -rf debian/crawl-common/usr/share/crawl/docs/license
-	mkdir -p debian/crawl/usr/
-	mv debian/crawl-common/usr/games debian/crawl/usr/games
-	cd build-tiles/source && $(MAKE) $(ARGS_TILES) install DESTDIR=../../debian/crawl-tiles
+	rm -rf debian/crawl-common/$(PREFIX)/share/crawl/docs/license
+	mkdir -p debian/crawl/$(PREFIX)/
+	mv debian/crawl-common/$(PREFIX)/* debian/crawl/$(PREFIX)
+	cd build-tiles/source && $(MAKE) debug $(ARGS_TILES) install DESTDIR=../../debian/crawl-tiles
 	rm -rf debian/crawl-tiles/var
-	cd debian/crawl-tiles/usr/share/crawl/ && rm -rf docs settings
-	cd debian/crawl-tiles/usr/share/crawl/dat && rm -rf des dlua database descript lua
+	cd debian/crawl-tiles/$(PREFIX)/data && rm -rf docs settings
+	cd debian/crawl-tiles/$(PREFIX)/data/dat && rm -rf des dlua database descript lua
 	
-	mkdir -p debian/crawl/usr/share/man/man6
-	cp docs/crawl.6 debian/crawl/usr/share/man/man6/
-	mkdir -p debian/crawl-tiles/usr/share/man/man6
-	cp docs/crawl.6 debian/crawl-tiles/usr/share/man/man6/crawl-tiles.6
-	mkdir -p debian/crawl-common/usr/share/doc/crawl-common/examples
-	cp settings/init.txt debian/crawl-common/usr/share/doc/crawl-common/examples/crawlrc
-	ln -sf /usr/share/crawl/docs/*.txt debian/crawl-common/usr/share/doc/crawl-common/
+	mkdir -p debian/crawl$(PREFIX)/share/man/man6
+	cp docs/crawl.6 debian/crawl$(PREFIX)/share/man/man6/
+	mkdir -p debian/crawl-tiles$(PREFIX)/share/man/man6
+	cp docs/crawl.6 debian/crawl-tiles$(PREFIX)/share/man/man6/crawl-tiles.6
+	mkdir -p debian/crawl-common$(PREFIX)/share/doc/crawl-common/examples
+	cp settings/init.txt debian/crawl-common$(PREFIX)/share/doc/crawl-common/examples/crawlrc
+	ln -sf $(PREFIX)/share/crawl/docs/*.txt debian/crawl-common/$(PREFIX)/share/doc/crawl-common/
 
-	mkdir -p debian/crawl/usr/share/doc
-	ln -sf crawl-common debian/crawl/usr/share/doc/crawl
-	mkdir -p debian/crawl-tiles/usr/share/doc
-	ln -sf crawl-common debian/crawl-tiles/usr/share/doc/crawl-tiles
-	dh_install -pcrawl-tiles debian/crawl-tiles.desktop usr/share/applications
-	dh_install -pcrawl-tiles debian/crawl.png usr/share/icons/hicolor/48x48/apps
-	dh_link -pcrawl-tiles usr/share/games/crawl/dat/tiles/stone_soup_icon-32x32.png \
-		usr/share/icons/hicolor/32x32/apps/crawl.png
+	mkdir -p debian/crawl/$(PREFIX)/share/doc
+	ln -sf crawl-common debian/crawl/$(PREFIX)/share/doc/crawl
+	mkdir -p debian/crawl-tiles/$(PREFIX)/share/doc
+	ln -sf crawl-common debian/crawl-tiles/$(PREFIX)/share/doc/crawl-tiles
+	dh_install -pcrawl-tiles debian/crawl-tiles.desktop usr/share/applications/hildob
+	dh_install -pcrawl-tiles debian/crawl.png usr/share/pixmaps/ 
+	#dh_link -pcrawl-tiles $(PREFIX)/share/games/crawl/dat/tiles/stone_soup_icon-32x32.png \
+	#	usr/share/icons/hicolor/32x32/apps/crawl.png
 
 # Build architecture-independent files here.
 binary-indep: install
