=== debian/changelog ===
crawl (2:0.9.1-maemo6) unstable; urgency=low
  
  * builder issue. version bumped.

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sat,  3 Sep 2011 09:57:30 +0200

crawl (2:0.9.1-maemo5) unstable; urgency=low
  
  * Tiles version without GLES, but GL (software)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu,  2 Sep 2011 19:22:30 +0200
