=== debian/control ===
--- 
+++ 
@@ -5,8 +5,10 @@
 Standards-Version: 3.9.2
 Build-Depends: debhelper (>= 7), libncursesw5-dev, bison, flex, liblua5.1-0-dev,
 	pkg-config, libsdl-image1.2-dev, libsdl1.2-dev, libsqlite3-dev,
-	libfreetype6-dev,  libpng12-dev, libsdl-gles1.2-dev,
-	libgles1-sgx-img-dev [arm armel], opengles-sgx-img-common-dev [arm armel], libgl1-mesa-dev [i386], libglu1-mesa-dev [i386]
+	libfreetype6-dev,  libpng12-dev, 
+#	libsdl-gles1.2-dev [arm armel], libgles1-sgx-img-dev [arm armel], opengles-sgx-img-common-dev [arm armel], libgl1-mesa-dev [i386], 
+	libglu1-mesa-dev, 
+	libgl1-mesa-swx11-dev [arm armel]	
 Homepage: http://crawl.develz.org/
 XSBC-Bugtracker: https://crawl.develz.org/mantis/
