=== debian/rules ===
--- 
+++ 
@@ -36,7 +36,8 @@
 # The makefile is unorthodox, requiring all options to be specified on every invocation.
 ARGS_CONSOLE = prefix=$(PREFIX) CFOPTIMIZE=$(CFOPTIMIZE) WIZARD=y $(CROSS)
 ifneq (,$(findstring arm-linux,$(DEB_BUILD_GNU_TYPE)))
-ARGS_TILES   = $(ARGS_CONSOLE) TILES=y GLES=y GAME=crawl-tiles \
+#GLES=y upstream is not working yet
+ARGS_TILES   = $(ARGS_CONSOLE) TILES=y GAME=crawl-tiles \
 	PROPORTIONAL_FONT=/usr/share/fonts/truetype/ttf-dejavu/DejaVuSans.ttf \
 	MONOSPACED_FONT=/usr/share/fonts/truetype/ttf-dejavu/DejaVuSansMono.ttf
 else
