## crawl 0.9.1-maemo7

=== debian/changelog ===
crawl (2:0.9.1-maemo7) unstable; urgency=low

  * explicitly dependencies

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sat,  3 Sep 2011 16:32:30 +0200
