=== debian/control ===
--- 
+++ 
@@ -41,7 +41,8 @@
 
 Package: crawl-tiles
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, crawl-common (= ${source:Version})
+Depends: libc6 (>= 2.5.0-1), libfreetype6 (>= 2.3.9-1osso2+0m5), libgcc1 (>= 1:4.2.1), libgl1-mesa-glx | libgl1, libglu1-mesa | libglu1 [i386], liblua5.1-0, libsdl-image1.2 (>= 1.2.4-5-recomp1), libsdl1.2 (>= 1.2.13-2maemo5+0m5), libsqlite3-0 (>= 3.6.14-1maemo1+0m5), libstdc++6 (>= 4.2.1-4maemo9+0m5), zlib1g (>= 1.2.3-9.osso9+0m5), crawl-common
+# ${shlibs:Depends}, ${misc:Depends}, crawl-common (= ${source:Version})
 Description: Dungeon Crawl, a roguelike game, tiles version
  Crawl is a fun game in the grand tradition of games like Rogue, Hack, and
  Moria. Your objective is to travel deep into a subterranean cave complex and
