## crawl 0.9.1-maemo8

=== debian/changelog ===
crawl (2:0.9.1-maemo8) unstable; urgency=low

  * explicitly dependencies part2

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sat,  3 Sep 2011 17:28:30 +0200
